Home

# Class goog.spell.SpellCheck

Support class for spell checker components. Provides basic functionality such as word lookup and caching.

extends goog.events.EventTarget

Instance Method Summary
| `checkBlock(string text)` Checks spelling for a block of text.
| `checkWord(string word) ⇒ ?goog.spell.SpellCheck.WordStatus` Checks spelling for a single word. Returns the status of the supplied word, or UNKNOWN if it's not cached. If it's not cached the word is added to a queue and checked with the verification implementation with a short delay.
| `checkWord_(string word) ⇒ ?goog.spell.SpellCheck.WordStatus` Checks spelling for a single word. Returns the status of the supplied word, or UNKNOWN if it's not cached.
| `getLanguage() ⇒ string` Returns language.
| `getSuggestions(string word) ⇒ ?Array.<string>` Returns suggestions for the given word.
| `lookupCallback_(?Array.<(Array|null)> data)` Callback for lookup function.
| `processPending()` Processes pending words unless a lookup operation has already been queued or is in progress.
| `processPending_()` Processes pending words using the verification callback.
| `setLanguage(string= opt_language)` Sets language.
| `setLookupFunction(?Function f)` Sets the lookup function.
| `setWordStatus(string word, ?goog.spell.SpellCheck.WordStatus status, ?Array.<string>= opt_suggestions)` Sets a words spelling status.
| `setWordStatus_(string word, ?goog.spell.SpellCheck.WordStatus status, ?Array.<string>= opt_suggestions)` Sets a words spelling status.